| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
tif_compress.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Classes
struct | _codec

## Typedefs
typedef struct _codec | codec_t

## Functions
int | _TIFFNoRowEncode (TIFF *tif, tidata_t pp, tsize_t cc, tsample_t s)
int | _TIFFNoStripEncode (TIFF *tif, tidata_t pp, tsize_t cc, tsample_t s)
int | _TIFFNoTileEncode (TIFF *tif, tidata_t pp, tsize_t cc, tsample_t s)
int | _TIFFNoRowDecode (TIFF *tif, tidata_t pp, tsize_t cc, tsample_t s)
int | _TIFFNoStripDecode (TIFF *tif, tidata_t pp, tsize_t cc, tsample_t s)
int | _TIFFNoTileDecode (TIFF *tif, tidata_t pp, tsize_t cc, tsample_t s)
int | _TIFFNoSeek (TIFF *tif, uint32 off)
int | _TIFFNoPreCode (TIFF *tif, tsample_t s)
void | _TIFFSetDefaultCompressionState (TIFF *tif)
int | TIFFSetCompressionScheme (TIFF *tif, int scheme)
const TIFFCodec * | TIFFFindCODEC (uint16 scheme)
TIFFCodec * | TIFFRegisterCODEC (uint16 scheme, const char *name, TIFFInitMethod init)
void | TIFFUnRegisterCODEC (TIFFCodec *c)
TIFFCodec * | TIFFGetConfiguredCODECs ()

## Typedef Documentation

typedef struct _codec codec_t

## Function Documentation

int _TIFFNoPreCode | ( | TIFF * | tif,
|  | tsample_t | s
| ) |  |

Definition at line 119 of file tif_compress.c.

int _TIFFNoRowDecode | ( | TIFF * | tif,
|  | tidata_t | pp,
|  | tsize_t | cc,
|  | tsample_t | s
| ) |  |

Definition at line 89 of file tif_compress.c.

int _TIFFNoRowEncode | ( | TIFF * | tif,
|  | tidata_t | pp,
|  | tsize_t | cc,
|  | tsample_t | s
| ) |  |

Definition at line 52 of file tif_compress.c.

int _TIFFNoSeek | ( | TIFF * | tif,
|  | uint32 | off
| ) |  |

Definition at line 110 of file tif_compress.c.

int _TIFFNoStripDecode | ( | TIFF * | tif,
|  | tidata_t | pp,
|  | tsize_t | cc,
|  | tsample_t | s
| ) |  |

Definition at line 96 of file tif_compress.c.

int _TIFFNoStripEncode | ( | TIFF * | tif,
|  | tidata_t | pp,
|  | tsize_t | cc,
|  | tsample_t | s
| ) |  |

Definition at line 59 of file tif_compress.c.

int _TIFFNoTileDecode | ( | TIFF * | tif,
|  | tidata_t | pp,
|  | tsize_t | cc,
|  | tsample_t | s
| ) |  |

Definition at line 103 of file tif_compress.c.

int _TIFFNoTileEncode | ( | TIFF * | tif,
|  | tidata_t | pp,
|  | tsize_t | cc,
|  | tsample_t | s
| ) |  |

Definition at line 66 of file tif_compress.c.

void _TIFFSetDefaultCompressionState | ( | TIFF * | tif | ) |

Definition at line 129 of file tif_compress.c.

const TIFFCodec* TIFFFindCODEC | ( | uint16 | scheme | ) |

Definition at line 179 of file tif_compress.c.

TIFFCodec* TIFFGetConfiguredCODECs | ( | void |  | ) |

Get list of configured codecs, both built-in and registered by user. Caller is responsible to free this structure.

Returns
  returns array of TIFFCodec records (the last record should be NULL) or NULL if function failed.

Definition at line 245 of file tif_compress.c.

TIFFCodec* TIFFRegisterCODEC | ( | uint16 | scheme,
|  | const char * | name,
|  | TIFFInitMethod | init
| ) |  |

Definition at line 194 of file tif_compress.c.

int TIFFSetCompressionScheme | ( | TIFF * | tif,
|  | int | scheme
| ) |  |

Definition at line 153 of file tif_compress.c.

void TIFFUnRegisterCODEC | ( | TIFFCodec * | c | ) |

Definition at line 217 of file tif_compress.c.